Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class AciBusinessObject

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BaseAgent, Category, CategoryTrainingDocument, Cluster, DiSHChild, Document, LicensedFunctionality, Privilege, Role, TermsNWeights, User

public class AciBusinessObject
extends java.lang.Object
implements java.io.Serializable

Base class for all classes representing ACI business objects . These are entities that can be stored on or generated by an ACI server.

See Also:
  Serialized Form

Constructor Summary
`AciBusinessObject()` Construct an `AciBusinessObject` with no unique ID.
`AciBusinessObject(java.lang.String sUID)` Construct an `AciBusinessObject` with the given unique ID.

Method Summary
`java.lang.String` | `getUID()` Read the unique ID of this `AciBusinessObject`.
`void` | `setUID(java.lang.String sUID)` Set the unique ID of this `AciBusinessObject`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AciBusinessObject

    public AciBusinessObject()

  Construct an `AciBusinessObject` with no unique ID.

### AciBusinessObject

    public AciBusinessObject(java.lang.String sUID)

  Construct an `AciBusinessObject` with the given unique ID.

Parameters:
  `sUID` - the unique ID of the ACI business object.

Method Detail

### setUID

    public void setUID(java.lang.String sUID)

  Set the unique ID of this `AciBusinessObject`.

  Parameters:
    `sUID` - the unique ID.

### getUID

    public java.lang.String getUID()

  Read the unique ID of this `AciBusinessObject`.

  Returns:
    the unique ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD